%global npmname semver
%global npminstdir /usr/lib/node_modules/%{npmname}

Summary: The semantic version parser used by npm 
Name: nodejs-%{npmname}
Version: 1.1.0
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/isaacs/node-semver
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Provides: nodejs-%{npmname} = %{version}

%description
The semantic version parser used by npm.

%prep
%setup -q -n package

%build

%install
# Run the scripts (except test scripts)

# Setup and copy packages over
mkdir -p %{buildroot}/%{npminstdir}
cp -pr semver.js bin package.json %{buildroot}/%{npminstdir}

# Setup the dependancies

# Setup Binaries
mkdir %{buildroot}%{_bindir}
ln -s %{npminstdir}/bin/semver %{buildroot}%{_bindir}/

%files
%doc LICENSE README.md
%{npminstdir}
%{_bindir}/semver

%changelog
* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 1.1.0-1
- Initial build using nodejs spec template

